Subject: [PATCH] doc: make it easier to find custom command information

From: "Omri Sarig via GitGitGadget" <[email-masked]>
Date: Sat, 07 Mar 2026 17:08:01 +0000

From: Omri Sarig <[email-masked]>

Git supports creating additional commands through aliases, and through
placement of executables with a "git-" prefix in the PATH.

This information was not easy enough to find - users will look for this
information around the command description, but the documentation
exists in other locations.

Update the "GIT COMMANDS" section to reference the relevant sections,
making it easier for to find this information.

Signed-off-by: Omri Sarig <[email-masked]>
---
    doc: Make it easier to find custom command information
    
    Hi,
    
    Following the discussion on
    https://lore.kernel.org/git/[email-masked]/#related, I've
    added the suggested documentation.
    
    The only change I made is updating linkgit:gitconfig[1] to be
    linkgit:git-config[1], which I believe is the correct form for that.
    
    With Kind Regards, Omri

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-git-2225%2Fomrisarig13%2Fbreadcrumb-custom-commands-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-2225/omrisarig13/breadcrumb-custom-commands-v1
Pull-Request: https://github.com/git/git/pull/2225

 Documentation/git.adoc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/Documentation/git.adoc b/Documentation/git.adoc
index 66442735ea..4e800c409e 100644
--- a/Documentation/git.adoc
+++ b/Documentation/git.adoc
@@ -235,7 +235,10 @@ GIT COMMANDS
 ------------
 
 We divide Git into high level ("porcelain") commands and low level
-("plumbing") commands.
+("plumbing") commands.  For defining command aliases, see
+linkgit:git-config[1] and look for descriptions of `alias.*`.
+For installing custom "git" subcommands, see the description for
+the 'PATH' environment variable in this manual.
 
 High-level commands (porcelain)
 -------------------------------

base-commit: 795c338de725e13bd361214c6b768019fc45a2c1
-- 
gitgitgadget